class Container:

    """Container for widgets."""

    def __init__(self):
        #: List of child widgets.
        self.children = []

    def add(self, widget, **kwargs):
        """Add widget into container."""
        self.children.append(widget)
        widget.parent = self
        widget.window = self.window if hasattr(self, 'window') else self

    def draw(self, buffer, x=0, y=0):
        """Draw child widgets."""
        for child in self.children:
            child.draw(buffer,
                       x + child.x,
                       y + child.y)
